#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <assert.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/syscall.h>
#include <unistd.h> 
#include <fridge.h>
#include <signal.h>
#include <sys/wait.h>

#define MAX_KEY_SIZE 200

extern void blocking_sequential_test(void);
extern void blocking_multiple_test(int);

#define SUPER_TEST

int
main(int argc, char **argv)
{
  /*
   * kkv_destroy is called inside blocking_sequential_test
   */
  kkv_init(0);
  blocking_sequential_test();
  printf("-------- blocking sequential passed --------\n");

  kkv_init(0);
  blocking_multiple_test(100);
  kkv_destroy(0);
  printf("-------- blocking multiple passed ----------\n");

  
  return 0;
}

